Name:           goverlay
Version:        0.3.1
Release:        1%{?dist}
Summary:        Project that aims to create a Graphical UI to help manage Linux overlays

License:        GPLv3+
URL:            https://github.com/benjamimgois/goverlay
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         goverlay-enable-debuginfo-generation.patch
ExclusiveArch:  %{fpc_arches}

BuildRequires:  desktop-file-utils
BuildRequires:  fpc-srpm-macros
BuildRequires:  lazarus
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       mangohud%{?_isa}

Recommends:     mesa-demos%{?_isa}
Recommends:     vulkan-tools%{?_isa}

# TODO: WIP. Packaging stalled because of Meson port.
%dnl Recommends:     vkBasalt%{?_isa}

%description
GOverlay is an open source project aimed to create a Graphical UI to manage
Linux overlays. It is still in early development, so it lacks a lot of features.

This project was only possible thanks to the other maintainers and contributors
that have done the hard work. I am just a Network Engineer that really likes
Linux and Gaming.


%prep
%autosetup -p1


%build
lazbuild -B %{name}.lpi


%install
install -Dp -m 0755 %{name} -t          %{buildroot}%{_bindir}/
install -Dp -m 0644 %{name}.desktop -t  %{buildroot}%{_datadir}/applications/
install -Dp -m 0644 %{name}3t256.png    %{buildroot}%{_datadir}/pixmaps/%{name}.png


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/{%name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Fri Apr 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.1-1
- Update 0.3.1

* Sat Apr 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3-1
- Update 0.3
- Add few weak deps
- Update description to sync with upstream

* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.4-1
- Update 0.2.4

* Thu Mar 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.3-1
- Update 0.2.3

* Mon Mar 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-2
- Enable debuinfo generation. Thanks to Artur Iwicki for help with packaging.

* Sat Mar 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- Initial package
